Package networkx :: Module search_class :: Class Postorder

[frames | no frames]

## Type Postorder

    object --+
             |
        Search --+
                 |
                Postorder

Postorder visitor Builds a list of nodes in postorder of search. Returns a list of lists if the graph is not connected.

Method Summary
| `__init__(self, G, queue, **kwds)`
| ``end_tree`(self, v)` Visitor function called at the search end of each connected component.
| ``lastseen_vertex`(self, v)` Visitor function called the last time a vertex is encountered.
| ``start_tree`(self, v)` Visitor function called at the search start of each connected component.
Inherited from `Search`: `firstseen_edge`, `firstseen_vertex`, `lastseen_edge`, `search` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Method Details

### end_tree(self, v)

Visitor function called at the search end of each connected component.

  Overrides:
    `networkx.search_class.Search.end_tree`

### lastseen_vertex(self, v)

Visitor function called the last time a vertex is encountered.

  Overrides:
    `networkx.search_class.Search.lastseen_vertex`

### start_tree(self, v)

Visitor function called at the search start of each connected component.

  Overrides:
    `networkx.search_class.Search.start_tree`

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net